## golang-github-labstack-echo.v2 2.2.0

=== website/Makefile ===
build:
	rm -rf public && hugo

=== debian/changelog ===
golang-github-labstack-echo.v2 (2.2.0-2) unstable; urgency=medium

  * Team upload.
  * Remove dgrijalva/jwt-go v3 patch.
    Replace golang-github-dgrijalva-jwt-go-v3-dev with
    golang-github-dgrijalva-jwt-go-dev
  * Update maintainer address to team+pkg-go@tracker.debian.org

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 22 Apr 2020 02:31:46 +0800

golang-github-labstack-echo.v2 (2.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #821899)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 27 Nov 2017 17:08:02 +0900

=== debian/control ===
Source: golang-github-labstack-echo.v2
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-dgrijalva-jwt-go-dev (>= 3.0~),
               golang-github-labstack-gommon-dev,
               golang-github-stretchr-testify-dev,
               golang-github-valyala-fasttemplate-dev,
               golang-github-valyala-fasthttp-dev,
               golang-golang-x-crypto-dev,
               golang-gopkg-tylerb-graceful.v1-dev,
               golang-github-geertjohan-go.rice-dev,
               golang-github-gorilla-websocket-dev,
               golang-github-facebookgo-grace-dev
Standards-Version: 4.1.1
Homepage: https://github.com/labstack/echo
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-labstack-echo.v2.git
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-labstack-echo.v2
XS-Go-Import-Path: github.com/labstack/echo.v2
Testsuite: autopkgtest-pkg-go

Package: golang-github-labstack-echo.v2-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-dgrijalva-jwt-go-dev (>= 3.0~),
         golang-github-labstack-gommon-dev,
         golang-github-stretchr-testify-dev,
         golang-github-valyala-fasttemplate-dev,
         golang-github-valyala-fasthttp-dev,
         golang-golang-x-crypto-dev,
         golang-gopkg-tylerb-graceful.v1-dev,
         golang-github-geertjohan-go.rice-dev,
         golang-github-gorilla-websocket-dev,
         golang-github-facebookgo-grace-dev
Description: Echo is a fast and unfancy HTTP server framework for Golang
 Echo is a minimalist Go web framework that provides the following functions:
  - Optimized HTTP router which smartly prioritize routes
  - Build robust and scalable RESTful APIs
  - Group APIs
  - Extensible middleware framework
  - Define middleware at root, group or route level
  - Data binding for JSON, XML and form payload
  - Handy functions to send variety of HTTP responses
  - Centralized HTTP error handling
  - Template rendering with any template engine
  - Define your format for the logger
  - Highly customizable
  - Automatic TLS via Let’s Encrypt
  - HTTP/2 support

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-labstack-echo-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/labstack/echo/tags .*/v?(\d\S*)\.tar\.gz
